Subject: bug#47369: 28.0.50; Current tab name is not correct after tab-rename

From: Andrea Corallo <[email-masked]>
Date: Thu, 25 Mar 2021 15:46:16 +0000

Gerry Agbobada <[email-masked]> writes:

> In a graphical Emacs, run this file named 'tab-name.el'
>
> #+BEGIN_SRC elisp
> (tab-new)
> (tab-rename "second tab")
> (tab-next)
> (tab-rename "first tab")
> ;; Expecting "first tab" here. Instead got "tab-name.el"
> (alist-get 'name (tab-bar--current-tab))
> #+END_SRC

Hi Gerry,

I just merged master into feature/native-comp (c6c7b30e4b) and I can't
reproduce this anymore, I can only guess this was fixed into master and
now the fix is in native-comp too.

Could you give it a try?

Thanks

  Andrea